Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftPerformer

    java.lang.Object
      com.sun.media.sound.SoftPerformer

    public class SoftPerformer

extends java.lang.Object

This class decodes information from ModelPeformer for use in SoftVoice. It also adds default connections if they where missing in ModelPerformer.

Author:
  Karl Helgason

Field Summary
`ModelConnectionBlock[]` | `connections`
`int[]` | `ctrl_connections`
`int` | `exclusiveClass`
`boolean` | `forcedKeynumber`
`boolean` | `forcedVelocity`
`int` | `keyFrom`
`int` | `keyTo`
`int[][]` | `midi_connections`
`int[][]` | `midi_ctrl_connections`
`java.util.Map<java.lang.Integer,int[]>` | `midi_nrpn_connections`
`java.util.Map<java.lang.Integer,int[]>` | `midi_rpn_connections`
`ModelOscillator[]` | `oscillators`
`ModelPerformer` | `performer`
`boolean` | `selfNonExclusive`
`int` | `velFrom`
`int` | `velTo`

Constructor Summary
`SoftPerformer(ModelPerformer performer)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyFrom

    public int keyFrom

### keyTo

    public int keyTo

### velFrom

    public int velFrom

### velTo

    public int velTo

### exclusiveClass

    public int exclusiveClass

### selfNonExclusive

    public boolean selfNonExclusive

### forcedVelocity

    public boolean forcedVelocity

### forcedKeynumber

    public boolean forcedKeynumber

### performer

    public ModelPerformer performer

### connections

    public ModelConnectionBlock[] connections

### oscillators

    public ModelOscillator[] oscillators

### midi_rpn_connections

    public java.util.Map<java.lang.Integer,int[]> midi_rpn_connections

### midi_nrpn_connections

    public java.util.Map<java.lang.Integer,int[]> midi_nrpn_connections

### midi_ctrl_connections

    public int[][] midi_ctrl_connections

### midi_connections

    public int[][] midi_connections

### ctrl_connections

    public int[] ctrl_connections

Constructor Detail

### SoftPerformer

    public SoftPerformer(ModelPerformer performer)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD